Skip to main content
POST
/
v1
/
bot
/
workflow
/
create
Create Workflow
curl --request POST \
  --url https://api.boostgpt.co/v1/bot/workflow/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "bot_id": "<string>",
  "name": "<string>",
  "workflow_id": "<string>",
  "description": "<string>",
  "trigger_type": "<string>",
  "trigger_event": "<string>",
  "trigger_config": {},
  "conditions": [
    {}
  ],
  "actions": [
    {}
  ],
  "is_active": true,
  "status": "<string>"
}
'
{
  "workflow": {
    "uuid": "<string>",
    "name": "<string>",
    "description": "<string>",
    "trigger_type": "<string>",
    "trigger_event": "<string>",
    "trigger_config": {},
    "conditions": [
      {}
    ],
    "actions": [
      {}
    ],
    "is_active": true,
    "status": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API key

Body

application/json
project_id
string
required
bot_id
string
required
name
string
required
workflow_id
string
description
string
trigger_type
string
trigger_event
string
trigger_config
object
conditions
object[]
actions
object[]
is_active
boolean
status
string

Response

Workflow created

workflow
object